# Launcher使用方法

1. 添加依赖配置
    ```groovy
    //在build.gradle中添加maven
    repositories {
    maven {url "https://git.dankal.cn/lihuaikun/androidlibrary/raw/master"}
    ...
    }

    dependencies {
    implementation 'cn.dankal.android:launcher:1.0.1'
    }
    ```
2. 初始化

    ```java
    //在Application的onCreate中插入代码
    //SettingActivity表示拦截系统设置后跳转的页面
    LauncherManager.init(this, SettingActivity.class);
    ```
3. 对应用添加使用规则
    ``` java
    ManagementInfo managementInfo = new ManagementInfo();
    managementInfo.setPackageName("com.tencent.tim");   

    //    正常使用
    //ColumnDef.AppUseType.NORMAL_TYPE

    //    游戏类应用
    //ColumnDef.AppUseType.GAME_LOCK_TYPE

    //    未分类应用
    //ColumnDef.AppUseType.UNCLASS_TYPE   
    managementInfo.setUseType(ColumnDef.AppUseType.GAME_LOCK_TYPE);
    //app锁定模式
    //        应用使用时长到达上限
    ColumnDef.LockApp.DEADLINE
    //        应用锁定
    ColumnDef.LockApp.LOCKED
    //        应用未锁定
    ColumnDef.LockApp.UNLOCKED
    managementInfo.setLock(ColumnDef.LockApp.LOCKED);
    //设置单个应用 
    LauncherManager.getInstance().addPackageInfo(managementInfo);    

    //设置多个应用
    List<ManagementInfo> managementInfoList = new ArrayList<>(); LauncherManager.getInstance().addPackageInfo(managementInfoList);

    //删除某个应用规则
    LauncherManager.getInstance().removePackageInfo("com.tencent.tim");

    //删除多个应用

    List<String> managementInfoList = new ArrayList<>(); LauncherManager.getInstance().removePackageInfoList(managementInfoList);
    
    ```
4. 返回桌面/跳转设置
   
    ```java
    
    //直接返回桌面
    LauncherManager.getInstance().backLauncherHome(Context context);
    //返回桌面并dialog提示
    LauncherManager.getInstance().backLauncherHome(Context context,String dialogTip);
    //跳转设置
    LauncherManager.getInstance().jumpSetting(Context context);
    ```
 
5. 设置锁屏模式/解锁屏幕
    ```java
    //锁屏
    /**
    * View view为休息模式和正常模式锁屏中展示的信息
    * lockMode   
    *   休息模式
    *  @ColumnDef.LockScreen.MODE_REST
    *   强制锁屏
    *  @ColumnDef.LockScreen.MODE_FORCE_LOCK
    *   正常模式 用户可解锁
    *  @ColumnDef.LockScreen.MODE_NORMAL
    */
    LauncherManager.getInstance().lockScreen(View view,@ColumnDef.LockScreen.LockScreenMode int lockMode);
    
    //解锁屏幕
    LauncherManager.getInstance().unlockScreen();
    ```
 

    
 